Clean up the default color scheme selection
Closed, ResolvedPublic

Description

We normally do not ship anything else than Breeze theming in most KCMs, yet in the Colors KCM we ship quite a lot of other schemes.

Namely: Honeycomb, Norway, Obsidian Coast, Oxygen, Oxygen Cold, Steel, Wonton Soup, Zion and Zion (Reversed).

Aside from not being related to Breeze, most of them are also outdated. The suggestion is to remove them, and to have the Oxygen colors provided only if the style is installed.

What's up for discussion is also if we should add some more of our own color schemes, such as Breeze Darker e.g.

TASKS:

  • Upload the removed color schemes to the KDE Store
  • Remove the old color schemes from plasma-desktop - D21701
  • Add Oxygen and Oxygen Cold to the oxygen repo - D21702
filipf created this task.Feb 19 2019, 2:13 PM
filipf triaged this task as Low priority.
ngraham assigned this task to filipf.Feb 19 2019, 3:06 PM
ngraham added a subscriber: ngraham.

+1; Colors is the only KCM where we ship random stuff like this.

filipf updated the task description. (Show Details)Feb 19 2019, 6:18 PM

I'm really warming up to adding another Breeze color scheme called Breeze Darker.

I've been seeing a lot of people wanting even darker visuals than Breeze Dark can provide. On top of that, Breeze Dark is a bit odd in the sense that the focused area is made darker rather than lighter.

That's why I'd propose Breeze Darker which would look like this:

It's basically just a window and background color swap. Compared to Breeze Dark:

Maybe we should just update the Breeze Dark color scheme instead? People who want something dark want something dark, if you know what I mean.

Text contrast with your darker version is way better, too.

rooty added a subscriber: rooty.Feb 19 2019, 6:22 PM

I'm really warming up to adding another Breeze color scheme called Breeze Darker.

This is a really good idea.
We should also make the selection background colors a bit darker too because there's really poor contrast with Breeze Dark

rooty added a comment.Feb 19 2019, 6:23 PM

Maybe we should just update the Breeze Dark color scheme instead? People who want something dark want something dark, if you know what I mean.

Text contrast with your darker version is way better, too.

Or that :D Breeze Dark in lieu of almost-dark

rooty added a comment.Feb 19 2019, 6:30 PM

I propose that Breeze Dark follow Breeze's example and invert the Selected text color:

Before (poor contrast):


After (better contrast):

filipf added a comment.EditedFeb 19 2019, 8:18 PM

Maybe we should just update the Breeze Dark color scheme instead? People who want something dark want something dark, if you know what I mean.

Text contrast with your darker version is way better, too.

I totally agree and, well, if we can just edit Breeze Dark that's even better than creating a new scheme :)

I propose that Breeze Dark follow Breeze's example and invert the Selected text color:

You're right, the contrast is bad. Alternatively we could make the highlight color darker but that would mean adding some new color to the HIG:

I think I'm more in favor of this because having a dark theme for me means also not having a lot of glaring colors. See left vs. right here:

I don't personally use a dark theme, so I'll leave this to you guys. :) But I think editing the colors to be more modern and visually appealing makes sense.

Some people may complain about this theme being not enough dark, but it is harder to tell how many people preferring current visuals will complain after any drastic change. When something works fine people usually don't give feedback about it.

I do use Breeze Dark theme, for me current color of windows is perfect, I prefer it over the new window background proposed by filipf as for example white font has less contrast on current background, but also it is more visually appealing to me.

As for less glaring, I do agree with filipf about changing selection background color, less contrast = healthy eyes. ;) If also icons could be updated with dark variant I would be in heaven.

Some people may complain about this theme being not enough dark, but it is harder to tell how many people preferring current visuals will complain after any drastic change. When something works fine people usually don't give feedback about it.

I do use Breeze Dark theme, for me current color of windows is perfect, I prefer it over the new window background proposed by filipf as for example white font has less contrast on current background, but also it is more visually appealing to me.

As for less glaring, I do agree with filipf about changing selection background color, less contrast = healthy eyes. ;) If also icons could be updated with dark variant I would be in heaven.

I want to quickly chime in on this, because it's a common misconception. The opposite is actually true: more contrast == healthy eyes. Low contrast between text and their backgrounds causes squinting and eyestrain and poor readability.

For more information see:

... but it is harder to tell how many people preferring current visuals will complain after any drastic change.

I have been having some concerns over this as well. We wouldn't just be changing the color scheme, but also the GTK theme. I see two paths forward:

  • implement for 5.16 as the new Breeze Dark and test extensively for the upcoming LTS release
  • implement as a new, distinct scheme and evaluate it before trying to implement after the next LTS release

I think I will tweak what I'm working on now and post screenshots around to see what people think. That could help us make a decision.

filipf updated the task description. (Show Details)Feb 25 2019, 8:46 PM

Some people may complain about this theme being not enough dark, but it is harder to tell how many people preferring current visuals will complain after any drastic change. When something works fine people usually don't give feedback about it.

I do use Breeze Dark theme, for me current color of windows is perfect, I prefer it over the new window background proposed by filipf as for example white font has less contrast on current background, but also it is more visually appealing to me.

As for less glaring, I do agree with filipf about changing selection background color, less contrast = healthy eyes. ;) If also icons could be updated with dark variant I would be in heaven.

I want to quickly chime in on this, because it's a common misconception. The opposite is actually true: more contrast == healthy eyes. Low contrast between text and their backgrounds causes squinting and eyestrain and poor readability.

For more information see:

Sure and thanks for sharing articles. I should have precised that I meant contrast between different UI elements (like mentioned above normal and selected background), not the text. In one of articles it is mentioned that low contrast between UI elements affects discoverability, I can't argue with this. ;) But I still personally think high is sometimes too high, at least in dark themes looking at single, too bright element feels like looking directly at the sun (well, not even close as this, but hopefully you get the idea what I mean).

If we are close to the subject already, could Konsole Breeze Dark theme be improved also? I am using it daily and sometimes I am forced to switch color scheme because I can't read a thing:


Nothing to add except that, as a regular user, I think the suggested changes to the dark theme are fantastic and those improvements will make it much more usable, particularly the text contrast which is one of the reasons I don't use the theme.

Tangentially related; I created T11052 to discuss the idea of an Accent Color system which would kind of fill the void of the additional color schemes we don't ship anymore with Breeze ;)

ngraham added a subscriber: Plasma.
ngraham updated the task description. (Show Details)Jun 24 2019, 1:50 PM
ngraham updated the task description. (Show Details)Jun 24 2019, 2:34 PM
ngraham closed this task as Resolved.
ngraham moved this task from To Do to Done on the Plasma board.
ngraham moved this task from Backlog/Planned to Done on the VDG board.